curl --request POST \
--url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/campaign_optimizations/{id}/refresh \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform_integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "google_ads",
"campaign": "<unknown>",
"name": "<string>",
"analysis": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"language": "ar"
}
'Re-fetches asset group metadata from Google Ads and updates the stored campaign.asset_group_info.
Does not re-run the optimization pipeline or regenerate suggestions. Required permission: write:analysis.
Google Ads only. Use this to update ad_strength, status, search_themes_count, and campaign_name
after changes have been made on the Google Ads side (e.g. after applying suggestions).
Response Body (200):
{
"asset_group_info": {
"6476435676": {
"name": "Animalerie",
"ad_strength": "GOOD",
"ad_strength_score": 20,
"ad_strength_max": 25,
"search_themes_count": 8,
"campaign_name": "PMax: IKOM - Smart Shopping CSS",
"status": "ENABLED"
}
}
}
See the Retrieve endpoint docs for full field descriptions.
curl --request POST \
--url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/campaign_optimizations/{id}/refresh \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform_integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "google_ads",
"campaign": "<unknown>",
"name": "<string>",
"analysis": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"language": "ar"
}
'Documentation Index
Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt
Use this file to discover all available pages before exploring further.
A UUID string identifying the campaign optimization.
csv, json google_ads - google adstiktok - tiktokgoogle_ads, tiktok 255pending - pendingin_progress - in progresscompleted - completedfailed - failedsuggestions_applied - suggestions appliedpending, in_progress, completed, failed, suggestions_applied ar - arda - dade - deen - enes - eseu - eufi - fifil - filfr - frhe - hehi - hihu - huid - idit - itja - jako - konl - nlpl - plpt - ptro - rosv - svth - thtr - trur - urvi - vizh - zhzh-TW - zh TWar, da, de, en, es, eu, fi, fil, fr, he, hi, hu, id, it, ja, ko, nl, pl, pt, ro, sv, th, tr, ur, vi, zh, zh-TW, Asset group info refreshed. Returns the updated asset_group_info object.